aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/cgi-bin/systemctl_failed_user.sh
diff options
context:
space:
mode:
authorEgor Tensin <Egor.Tensin@gmail.com>2018-07-10 13:33:10 +0300
committerEgor Tensin <Egor.Tensin@gmail.com>2018-07-10 13:33:10 +0300
commit3ebd1102ed17d3a013278128fbea23069051fefc (patch)
tree0c59675c894182ac11083ad439876a4a0f842255 /cgi-bin/systemctl_failed_user.sh
parentadd dependencies locally (diff)
downloadlinux-status-3ebd1102ed17d3a013278128fbea23069051fefc.tar.gz
linux-status-3ebd1102ed17d3a013278128fbea23069051fefc.zip
add `systemctl --failed` output
Diffstat (limited to 'cgi-bin/systemctl_failed_user.sh')
-rwxr-xr-xcgi-bin/systemctl_failed_user.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/cgi-bin/systemctl_failed_user.sh b/cgi-bin/systemctl_failed_user.sh
new file mode 100755
index 0000000..fe9ddc0
--- /dev/null
+++ b/cgi-bin/systemctl_failed_user.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+
+set -o errexit -o nounset -o pipefail
+
+echo 'Content-Type: text/plain; charset=utf-8'
+echo
+
+SYSTEMD_COLORS=no systemctl --user list-units --failed --no-pager --full